<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\PaymentModel;

class PaymentModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(PaymentModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(PaymentModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(PaymentModel::class);
    }
}
